Module jdk.jfr
Package jdk.jfr

# Annotation Interface Timestamp

@Retention(RUNTIME) @Target({FIELD,TYPE,METHOD}) public @interface Timestamp
Event field annotation, specifies that the value is a point in time.

Since:
  9

## Optional Element Summary

Optional Elements
Modifier and Type
Optional Element
Description
`String`
`value`
Unit for the time stamp.

## Field Summary

Fields
Modifier and Type
Field
Description
`static String`
`MILLISECONDS_SINCE_EPOCH`
The unit for the difference, measured in milliseconds, between the current time and midnight, January 1, 1970 UTC.
`static String`
`TICKS`
The unit for the number of ticks that have transpired since some arbitrary starting date.

## Field Details

### MILLISECONDS_SINCE_EPOCH

static final String MILLISECONDS_SINCE_EPOCH
The unit for the difference, measured in milliseconds, between the current time and midnight, January 1, 1970 UTC.

See Also:
  Constant Field Values

### TICKS

static final String TICKS
The unit for the number of ticks that have transpired since some arbitrary starting date.

See Also:
  Constant Field Values

## Element Details

### value

String value
Unit for the time stamp.

Returns:
  time stamp unit, not `null`

Default:
  "MILLISECONDS_SINCE_EPOCH"